package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.exception.BusinessException;
import com.bizmatics.common.core.util.StringUtils;
import com.bizmatics.mhfire.model.DemSecurityCompany;
import com.bizmatics.mhfire.service.DemSecurityCompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 安保检查单位数据 前端控制器
 * </p>
 *
 * @author ya
 * @since 2022-10-25
 */
@RestController
@RequestMapping("/demSecurityCompany")
public class DemSecurityCompanyController {

    @Autowired
    private DemSecurityCompanyService demSecurityCompanyService;

    @PostMapping
    public ApiResult<Void> add(@RequestBody DemSecurityCompany demSecurityCompany){
        if (StringUtils.isBlank(demSecurityCompany.getAppKey())){
            throw new BusinessException("appKey不能为空");
        }
        if (!"31cdd6a7766d24820156e5304a3f7107".equals(demSecurityCompany.getAppKey())){
            throw new BusinessException("用户id不存在");
        }
        demSecurityCompanyService.save(demSecurityCompany);
        return ApiResult.success();
    }
}

