package com.bizmatics.mhfire.persistence.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.mhfire.model.Device;
import com.bizmatics.mhfire.persistence.mapper.vo.DeviceCollectVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 设备信息表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-11-25
 */
public interface DeviceMapper extends CrudMapper<Device> {


    Page<DeviceCollectVO> selectCollect(IPage<DeviceCollectVO> page,
                                        @Param("deviceType") String deviceType,
                                        @Param("deviceCode") String deviceCode,
                                        @Param("startTime")Date startTime,
                                        @Param("endTime") Date endTime);

    DeviceCollectVO selectCollectOne(@Param("deviceType") String deviceType,
                                     @Param("deviceCode") String deviceCode,
                                     @Param("startTime")Date startTime,
                                     @Param("endTime") Date endTime);
}
