package com.bizmatics.mhfire.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.XfzWxz;
import com.bizmatics.mhfire.persistence.mapper.XfzWxzMapper;
import com.bizmatics.mhfire.service.XfzWxzService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-11-23
 */
@DS("mhsystem")
@Service
public class XfzWxzServiceImpl extends AbstractCrudService<XfzWxzMapper, XfzWxz> implements XfzWxzService {


    @Override
    public List<XfzWxz> getMapList(Date startTime,Date endTime) {
        LambdaQueryWrapper<XfzWxz> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.select(XfzWxz::getId,XfzWxz::getJd,XfzWxz::getWd)
                .between(null != startTime && null != endTime,XfzWxz::getCjsj,startTime,endTime)
                .orderByDesc(XfzWxz::getCjsj);
        return this.list(queryWrapper);
    }
}
